summaryrefslogtreecommitdiff
path: root/dev-python/humanize/humanize-3.2.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2020-12-13 23:25:30 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2020-12-13 23:25:30 +0000
commitfddf516add4924cfe9d698f116342e30b27d67b8 (patch)
tree37bb83a30233d4ffaecaf215788d57e89040a1df /dev-python/humanize/humanize-3.2.0.ebuild
parent8d7804efbd907eec22d8470e8200dcfd3c5bdd93 (diff)
downloadbaldeagleos-repo-21.1.0.tar.gz
baldeagleos-repo-21.1.0.tar.xz
baldeagleos-repo-21.1.0.zip
Updating liguros repo21.1.0
Diffstat (limited to 'dev-python/humanize/humanize-3.2.0.ebuild')
-rw-r--r--dev-python/humanize/humanize-3.2.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/humanize/humanize-3.2.0.ebuild b/dev-python/humanize/humanize-3.2.0.ebuild
new file mode 100644
index 000000000000..f7c2754b14a7
--- /dev/null
+++ b/dev-python/humanize/humanize-3.2.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # The package uses pkg_resources to determine its version
+ distutils_install_for_testing --via-root
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}